#
# spec file for package xmix (Version 2.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xmix
Copyright:    GPL
Group:        X11/Applications/Multimedia
Provides:     xmix20 
Autoreqprov:  on
Version:      2.1
Release:      418
Summary:      X11 interface for the Linux sound driver
Source: xmix-%{version}.tar.gz
Patch: xmix-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build     

%description
If your sound card is supported by Linux, you can use this program to
adjust the sound.

Authors:
--------
    Steve Haehnichen
    Hal Brand

SuSE series: snd

%prep
%setup
%patch
xmkmf -a

%build
make clean 
make  

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
install -d "$RPM_BUILD_ROOT"/usr/X11R6/man/man1
install -d "$RPM_BUILD_ROOT"/usr/X11R6/lib/X11/app-defaults/
install -d "$RPM_BUILD_ROOT"/usr/X11R6/bin
install -o root -g root -m 644 xmix.1 "$RPM_BUILD_ROOT"/usr/X11R6/man/man1/xmix.1
install -o root -g root -m 644 XMix "$RPM_BUILD_ROOT"/usr/X11R6/lib/X11/app-defaults/XMix
install -o root -g root -m 755 -s xmix "$RPM_BUILD_ROOT"/usr/X11R6/bin/xmix 

%files
/usr/X11R6/bin/xmix
%config /usr/X11R6/lib/X11/app-defaults/XMix
%doc /usr/X11R6/man/man1/xmix.1.gz

%clean
rm -rf "$RPM_BUILD_ROOT"

%changelog -n xmix
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Thu May 18 2000 - nadvornik@suse.cz
- changed Group tag
* Thu Mar 23 2000 - nadvornik@suse.cz
- removed  /usr/X11R6/lib/X11/app-defaults from filelist
* Mon Mar 13 2000 - nadvornik@suse.cz
- removed Makefile.Linux
- added BuildRoot
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
